Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_IO_SAP Class Reference

Defines the methods for the base class of the abstraction, which includes and . More...

`#include <IO_SAP.h>`

Inheritance diagram for ACE_IO_SAP

[legend]
List of all members.

## Public Types
enum | { INVALID_HANDLE = -1 }
## Public Methods
| ~ACE_IO_SAP (void)
| Default dtor.
int | control (int cmd, void *) const
| Interface for ioctl.
int | enable (int value) const
int | disable (int value) const
ACE_HANDLE | get_handle (void) const
| Get the underlying handle.
void | set_handle (ACE_HANDLE handle)
| Set the underlying handle.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Methods
| ACE_IO_SAP (void)
| Ensure that ACE_IO_SAP is an abstract base class.
## Private Attributes
ACE_HANDLE | handle_
| Underlying I/O handle.
## Static Private Attributes
pid_t | pid_ = 0
| Cache the process ID.

## Detailed Description

Defines the methods for the base class of the abstraction, which includes and .

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  INVALID_HANDLE | Be consistent with Winsock.

## Constructor & Destructor Documentation

ASYS_INLINE ACE_IO_SAP::~ACE_IO_SAP ( | void )

| Default dtor.

ACE_IO_SAP::ACE_IO_SAP ( | void )`[protected]`

| Ensure that ACE_IO_SAP is an abstract base class.

## Member Function Documentation

ASYS_INLINE int ACE_IO_SAP::control ( | int cmd,
| void * arg ) const

| Interface for ioctl.

int ACE_IO_SAP::disable ( | int signum ) const

| Disable asynchronous I/O (ACE_SIGIO), urgent data (ACE_SIGURG), non-blocking I/O (ACE_NONBLOCK), or close-on-exec (ACE_CLOEXEC), which is passed as the <value>. Reimplemented in ACE_DEV, and ACE_FILE.

void ACE_IO_SAP::dump ( | void ) const

| Dump the state of an object. Reimplemented in ACE_DEV, ACE_DEV_IO, ACE_FILE, and ACE_FILE_IO.

int ACE_IO_SAP::enable ( | int value ) const

| Enable asynchronous I/O (ACE_SIGIO), urgent data (ACE_SIGURG), non-blocking I/O (ACE_NONBLOCK), or close-on-exec (ACE_CLOEXEC), which is passed as the <value>.

ASYS_INLINE ACE_HANDLE ACE_IO_SAP::get_handle ( | void ) const

| Get the underlying handle.

ASYS_INLINE void ACE_IO_SAP::set_handle ( | ACE_HANDLE handle )

| Set the underlying handle.

## Member Data Documentation

ACE_IO_SAP::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_DEV, ACE_DEV_IO, ACE_FILE, and ACE_FILE_IO.

ACE_HANDLE ACE_IO_SAP::handle_`[private]`

| Underlying I/O handle.

pid_t ACE_IO_SAP::pid_ = 0`[static, private]`

| Cache the process ID.

The documentation for this class was generated from the following files:

- IO_SAP.h
- IO_SAP.cpp
- IO_SAP.i